% Vitor Patrezze
% Guilherme Lopes
% Jonas Dini



function [Neu,Dirich]=condicoes_contorno()
% Neu: vetor onde se armazena a condicao de Neumann
% Delta: vetor onde se armazena a condicao de Dirichlet


vetor_neumann = load("Neumann.dat");
%vetor_neumann            % Carrega o arquivo Neumann.dat e coloca os valores em vetor_neumann
[linhas,colunas]=size(vetor_neumann)
Neu = zeros(linhas,2);
for m = 1:linhas
    Neu(m,1) = vetor_neumann(m,1);    % Atribui os valores de vetor_neumann ao vetor b, de Ax=b
    Neu(m,2) = vetor_neumann(m,2);
end



vetor_dirichlet = load("Dirichlet.dat");  % Carrega o arquivo Dirichlet.dat e coloca os valores em vetor_dirichlet
vetor_dirichlet
[linhas,colunas]=size(vetor_dirichlet)
linhas
Dirich = zeros(linhas,2);
for n = 1:linhas
    Dirich(n,1) = vetor_dirichlet(n,1);
    Dirich(n,2) = vetor_dirichlet(n,2); % Atribui os valores de vetor_dirichlet ao vetor Delta, ou v
end
