% PME3534
% Leitura dos arquivos referentes as condicoes de contorno e armazenamento nos vetores

% Guilherme de Agrela Lopes   9833513
% Jonas Haitson Dini          9347045
% Vitor Patrezze Nunes        9348202



msg = 'Digite o tamanho do vetor Neumann: ';              % Este input serve para saber o tamanho dos vetores da equacao Y * v = c. Esse tamanho viria de grupos anteriores, e quando os programas forem juntados 
                                                                                           % nao vai precisar do input
i = input(msg)

N = zeros(i,1);
vetor_neumann = load("Neumann.dat");                          % Carrega o arquivo Neumann.dat e coloca os valores em vetor_neumann
for m = 1:2:length(vetor_neumann)-1
    N(vetor_neumann(m)) = vetor_neumann(m+1)           % Atribui os valores de vetor_neumann ao vetor N, ou c
end


Delta = zeros(i,1);
vetor_dirichlet = load("Dirichlet.dat");                              % Carrega o arquivo Dirichlet.dat e coloca os valores em vetor_dirichlet
for n = 1:2:length(vetor_dirichlet)-1
    Delta(vetor_dirichlet(n)) = vetor_dirichlet(n+1)            % Atribui os valores de vetor_dirichlet ao vetor Delta, ou v
end

